Bug 8713 - No Errorlog on PROPFIND/Depth:Infinity
Summary: No Errorlog on PROPFIND/Depth:Infinity
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_dav (show other bugs)
Version: 2.0-HEAD
Hardware: All All
: P3 minor (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2002-05-01 21:55 UTC by Joshua Slive
Modified: 2018-11-07 21:09 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Slive 2002-05-01 21:55:35 UTC
When we are set to
DavDepthInfinity Off (the default)
and a PROPFIND request is made with Depth:Infinity
the response is a 403, but there is nothing written to the error log.

403 with nothing in the error log is hard to debug and a personal pet peave.
Comment 1 Joshua Slive 2002-05-02 02:54:25 UTC
On a quick look, this seems to be a general problem with 
dav_error_response.  I can't really figure out why that
function doesn't actually write anything to the error log.
Comment 2 Greg Stein 2002-06-24 21:23:24 UTC
Known issue:

/*
** dav_error_response()
**
** Send a nice response back to the user. In most cases, Apache doesn't
** allow us to provide details in the body about what happened. This
** function allows us to completely specify the response body.
**
** ### this function is not logging any errors! (e.g. the body)
*/

The problem, of course, being that you don't want to dump an entire response
body into the error log. However, if we assign error tags to all errors within
mod_dav, then we could dump that error tag into the log. That would then
indicate the 403 was caused by an illegal depth-infinity PROPFIND attempt.
Comment 3 Julian Reschke 2003-01-27 14:14:00 UTC
I think error tagging would make a lot of sense, especially if it's done in a
RFC3253-compliant way (error conditions are identified by (namespace, name).
Comment 4 Greg Stein 2003-06-04 10:59:55 UTC
Yup, we have the facility for a namespace/name tuple now, based on RFC 3253
error reporting. Unfortunately, it isn't in widespread use within mod_dav right
now. AFAIK, only mod_dav_svn uses them at the moment, via the
dav_new_error_tag() function.

The problem with logging is that the handler is returning DONE, which seems to
stop the processing. As I recall, if I just returned OK, then other handlers
could pick up and respond (and bad juju occurred), which is obviously wrong.
This was years ago, so maybe there is a way to fully generate the response and
signal completion. Heck, maybe returning OK will work just fine.
Comment 5 Dan Poirier 2009-05-21 07:47:37 UTC
Almost 6 years with no activity.  Does this still need to be fixed?
Comment 6 William A. Rowe Jr. 2018-11-07 21:09:59 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.